<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Branch extends Model
{
    use HasFactory;
    
    protected $fillable = ['title', 'number', 'chapter_id', 'part_id', 'volum_id', 'law_id', 'book_id', 'section_id', 'gate_id','division_id'];


    public function art()
    {
        return $this->hasMany(Art::class);
    }

    public static function search($searchTerm)
    {
        return self::where('title', 'LIKE', "%{$searchTerm}%")->get();
    }
    
    public static function searchLimit($searchTerm)
    {
        return self::where('title', 'LIKE', "%{$searchTerm}%")->limit(3)->get();
    }
}
